Package wx :: Class FindDialogEvent

[frames | no frames]

## Type FindDialogEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        FindDialogEvent

Events for the FindReplaceDialog

Method Summary
FindDialogEvent | ``__init__`(self, commandType, id)` Events for the FindReplaceDialog
FindReplaceDialog | ``GetDialog`(self)` Return the pointer to the dialog which generated this event.
String | ``GetFindString`(self)` Return the string to find (never empty).
int | ``GetFlags`(self)` Get the currently selected flags: this is the combination of wx.FR_DOWN, wx.FR_WHOLEWORD and wx.FR_MATCHCASE flags.
String | ``GetReplaceString`(self)` Return the string to replace the search string with (only for replace and replace all events).
| `SetFindString(self, str)`
| `SetFlags(self, flags)`
| `SetReplaceString(self, str)`

Property Summary
| `Dialog`: See `GetDialog`
| `FindString`: See `GetFindString` and `SetFindString`
| `Flags`: See `GetFlags` and `SetFlags`
| `ReplaceString`: See `GetReplaceString` and `SetReplaceString`
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, id=0)
(Constructor)

Events for the FindReplaceDialog

  Parameters:
    `commandType`
    (type=EventType)

    `id`
    (type=int)

  Returns:
    FindDialogEvent
  Overrides:
    `wx.CommandEvent.__init__`

### GetDialog(self)

Return the pointer to the dialog which generated this event.

  Returns:
    FindReplaceDialog

### GetFindString(self)

Return the string to find (never empty).

  Returns:
    String

### GetFlags(self)

Get the currently selected flags: this is the combination of wx.FR_DOWN, wx.FR_WHOLEWORD and wx.FR_MATCHCASE flags.

  Returns:
    int

### GetReplaceString(self)

Return the string to replace the search string with (only for replace and replace all events).

  Returns:
    String

Property Details

### Dialog

See `GetDialog`

  Get Method:
    `GetDialog`(self)

### FindString

See `GetFindString` and `SetFindString`

  Get Method:
    `GetFindString`(self)
  Set Method:
    `SetFindString`(self, str)

### Flags

See `GetFlags` and `SetFlags`

  Get Method:
    `GetFlags`(self)
  Set Method:
    `SetFlags`(self, flags)

### ReplaceString

See `GetReplaceString` and `SetReplaceString`

  Get Method:
    `GetReplaceString`(self)
  Set Method:
    `SetReplaceString`(self, str)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:46 2007 | http://epydoc.sf.net